Retrieve commission
curl --request GET \
--url https://staging.api.rye.com/api/v1/commissions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://staging.api.rye.com/api/v1/commissions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://staging.api.rye.com/api/v1/commissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.rye.com/api/v1/commissions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.rye.com/api/v1/commissions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.rye.com/api/v1/commissions/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.rye.com/api/v1/commissions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"ryeFee": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"developerCommission": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"settlementDirection": "rye_owes_developer",
"status": "pending",
"type": "surcharge",
"checkoutIntentId": "<string>",
"id": "<string>",
"finalizedAt": "2023-11-07T05:31:56Z"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Commissions
Retrieve commission
Retrieve a commission by id
Returns commission details for the authenticated developer.
GET
/
api
/
v1
/
commissions
/
{id}
Retrieve commission
curl --request GET \
--url https://staging.api.rye.com/api/v1/commissions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://staging.api.rye.com/api/v1/commissions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://staging.api.rye.com/api/v1/commissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.rye.com/api/v1/commissions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.rye.com/api/v1/commissions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.rye.com/api/v1/commissions/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.rye.com/api/v1/commissions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"ryeFee": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"developerCommission": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"settlementDirection": "rye_owes_developer",
"status": "pending",
"type": "surcharge",
"checkoutIntentId": "<string>",
"id": "<string>",
"finalizedAt": "2023-11-07T05:31:56Z"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Authorizations
Rye API key
Path Parameters
The id of the commission to look up
Response
Commission details
A commission earned (or owed) on a completed checkout intent.
Time the commission last changed (e.g. status transition).
Time the commission was first recorded.
Fee retained by Rye.
Show child attributes
Show child attributes
Commission amount paid to the developer.
Show child attributes
Show child attributes
Whether Rye owes the developer or vice versa once settled.
Available options:
rye_owes_developer, developer_owes_rye Lifecycle status, e.g. pending, finalized, refunded.
Available options:
pending, confirmed, updated, finalized, refunded, expired Kind of commission, e.g. surcharge, discount_code, affiliate.
Available options:
surcharge, promo_arbitrage, discount_code, affiliate, out_of_band The checkout intent this commission was generated from.
Unique identifier for this commission.
Time the commission moved to a terminal status. Unset until finalized.

